package com.ibtp.kontor.comics.entity;

import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.Id;
import org.mongodb.morphia.annotations.Property;

/**
 * Created by thomas on 01.03.16.
 */
public class Issue {

    @Id
    private ObjectId id;

    @Property
    private String number;

    //@Reference
    private Comic comic;

    @Property
    private Boolean is_read;

    @Property
    private Boolean is_stock;

    public ObjectId getId() {
        return id;
    }

    public void setId(ObjectId id) {
        this.id = id;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public Comic getComic() {
        return comic;
    }

    public void setComic(Comic comic) {
        this.comic = comic;
    }

    public Boolean getIs_read() {
        return is_read;
    }

    public void setIs_read(Boolean is_read) {
        this.is_read = is_read;
    }

    public Boolean getIs_stock() {
        return is_stock;
    }

    public void setIs_stock(Boolean is_stock) {
        this.is_stock = is_stock;
    }
}
